> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v1/integration/python-sdk/python-cli.md).

# Command Line Interface

## Command Line Usage

The CLI tool is provided mainly for quick tests and debugging.

### General help

```shell
python3 -m mindee --help
```

### Example command help

```shell
python3 -m mindee parse --help
```

### Example parse command for Off-the-Shelf document

```shell
python3 -m mindee parse invoice --key xxxxxxx /path/to/invoice.pdf
```

### Works with environment variables

```shell
export MINDEE_API_KEY=xxxxxx
python3 -m mindee parse invoice /path/to/invoice.pdf
```

### Example parse command for a custom document

```shell
python3 -m mindee parse custom -a pikachu -k xxxxxxx pokemon_card /path/to/card.jpg
```

### Example async parse command

```shell
python3 -m mindee parse invoice-splitter 
```

### Full parsed output

```shell
python3 -m mindee invoice -o parsed /path/to/invoice.pdf
```

### Running the script through shell

A helper script allows you to start the command directly:

```shell
./mindee-cli.sh -h
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mindee.com/v1/integration/python-sdk/python-cli.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
